> For the complete documentation index, see [llms.txt](https://docs.zenlytic.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zenlytic.com/developers/workspaces.md).

# Workspaces

## GET /workspace-manager/{workspace\_id}

> Get Workspace Manager

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"ApiV2Response_WorkspaceManagerOrgSchema_":{"properties":{"data":{"$ref":"#/components/schemas/WorkspaceManagerOrgSchema"},"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["data","meta"],"title":"ApiV2Response[WorkspaceManagerOrgSchema]"},"WorkspaceManagerOrgSchema":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"require_sso":{"type":"boolean","title":"Require Sso","default":false},"workspaces":{"items":{"$ref":"#/components/schemas/WorkspaceManagerWorkspaceSchema"},"type":"array","title":"Workspaces"}},"type":"object","required":["id","name","workspaces"],"title":"WorkspaceManagerOrgSchema"},"WorkspaceManagerWorkspaceSchema":{"properties":{"id":{"type":"string","title":"Id"},"shop_name":{"type":"string","title":"Shop Name"},"provision_by_default":{"type":"boolean","title":"Provision By Default"},"archived_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Archived At"}},"type":"object","required":["id","shop_name","provision_by_default"],"title":"WorkspaceManagerWorkspaceSchema"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"}}},"paths":{"/workspace-manager/{workspace_id}":{"get":{"tags":["Workspaces"],"summary":"Get Workspace Manager","operationId":"get_workspace_manager_workspace_manager__workspace_id__get","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}},{"name":"include_archived","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Archived"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2Response_WorkspaceManagerOrgSchema_"}}}},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```

## POST /workspace-manager/{workspace\_id}/workspaces

> Create Workspace

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"CreateWorkspaceSchema":{"properties":{"name":{"type":"string","title":"Name"},"provision_by_default":{"type":"boolean","title":"Provision By Default","default":false}},"type":"object","required":["name"],"title":"CreateWorkspaceSchema"},"ApiV2Response_CreateWorkspaceResponseSchema_":{"properties":{"data":{"$ref":"#/components/schemas/CreateWorkspaceResponseSchema"},"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["data","meta"],"title":"ApiV2Response[CreateWorkspaceResponseSchema]"},"CreateWorkspaceResponseSchema":{"properties":{"id":{"type":"string","title":"Id"},"shop_name":{"type":"string","title":"Shop Name"},"provision_by_default":{"type":"boolean","title":"Provision By Default"}},"type":"object","required":["id","shop_name","provision_by_default"],"title":"CreateWorkspaceResponseSchema"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"}}},"paths":{"/workspace-manager/{workspace_id}/workspaces":{"post":{"tags":["Workspaces"],"summary":"Create Workspace","operationId":"create_workspace_workspace_manager__workspace_id__workspaces_post","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWorkspaceSchema"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2Response_CreateWorkspaceResponseSchema_"}}}},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```

## POST /workspace-manager/{workspace\_id}/workspaces/{target\_workspace\_id}/archive

> Archive Workspace

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"DeleteWorkspaceSchema":{"properties":{"confirmation_name":{"type":"string","title":"Confirmation Name"}},"type":"object","required":["confirmation_name"],"title":"DeleteWorkspaceSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"}}},"paths":{"/workspace-manager/{workspace_id}/workspaces/{target_workspace_id}/archive":{"post":{"tags":["Workspaces"],"summary":"Archive Workspace","operationId":"archive_workspace_workspace_manager__workspace_id__workspaces__target_workspace_id__archive_post","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}},{"name":"target_workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Target Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteWorkspaceSchema"}}}},"responses":{"204":{"description":"Successful Response"},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```

## PUT /workspace-manager/{workspace\_id}/workspaces/{target\_workspace\_id}/provisioning

> Update Provisioning

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"UpdateProvisioningSchema":{"properties":{"provision_by_default":{"type":"boolean","title":"Provision By Default"}},"type":"object","required":["provision_by_default"],"title":"UpdateProvisioningSchema"},"ApiV2Response_WorkspaceManagerOrgSchema_":{"properties":{"data":{"$ref":"#/components/schemas/WorkspaceManagerOrgSchema"},"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["data","meta"],"title":"ApiV2Response[WorkspaceManagerOrgSchema]"},"WorkspaceManagerOrgSchema":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"require_sso":{"type":"boolean","title":"Require Sso","default":false},"workspaces":{"items":{"$ref":"#/components/schemas/WorkspaceManagerWorkspaceSchema"},"type":"array","title":"Workspaces"}},"type":"object","required":["id","name","workspaces"],"title":"WorkspaceManagerOrgSchema"},"WorkspaceManagerWorkspaceSchema":{"properties":{"id":{"type":"string","title":"Id"},"shop_name":{"type":"string","title":"Shop Name"},"provision_by_default":{"type":"boolean","title":"Provision By Default"},"archived_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Archived At"}},"type":"object","required":["id","shop_name","provision_by_default"],"title":"WorkspaceManagerWorkspaceSchema"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"}}},"paths":{"/workspace-manager/{workspace_id}/workspaces/{target_workspace_id}/provisioning":{"put":{"tags":["Workspaces"],"summary":"Update Provisioning","operationId":"update_provisioning_workspace_manager__workspace_id__workspaces__target_workspace_id__provisioning_put","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}},{"name":"target_workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Target Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProvisioningSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2Response_WorkspaceManagerOrgSchema_"}}}},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```

## PUT /workspace-manager/{workspace\_id}/require-sso

> Update Require Sso

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"UpdateRequireSsoSchema":{"properties":{"require_sso":{"type":"boolean","title":"Require Sso"}},"type":"object","required":["require_sso"],"title":"UpdateRequireSsoSchema"},"ApiV2Response_WorkspaceManagerOrgSchema_":{"properties":{"data":{"$ref":"#/components/schemas/WorkspaceManagerOrgSchema"},"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["data","meta"],"title":"ApiV2Response[WorkspaceManagerOrgSchema]"},"WorkspaceManagerOrgSchema":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"require_sso":{"type":"boolean","title":"Require Sso","default":false},"workspaces":{"items":{"$ref":"#/components/schemas/WorkspaceManagerWorkspaceSchema"},"type":"array","title":"Workspaces"}},"type":"object","required":["id","name","workspaces"],"title":"WorkspaceManagerOrgSchema"},"WorkspaceManagerWorkspaceSchema":{"properties":{"id":{"type":"string","title":"Id"},"shop_name":{"type":"string","title":"Shop Name"},"provision_by_default":{"type":"boolean","title":"Provision By Default"},"archived_at":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Archived At"}},"type":"object","required":["id","shop_name","provision_by_default"],"title":"WorkspaceManagerWorkspaceSchema"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"}}},"paths":{"/workspace-manager/{workspace_id}/require-sso":{"put":{"tags":["Workspaces"],"summary":"Update Require Sso","operationId":"update_require_sso_workspace_manager__workspace_id__require_sso_put","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRequireSsoSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2Response_WorkspaceManagerOrgSchema_"}}}},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```

## GET /workspace-manager/{workspace\_id}/credentials

> List Credentials

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"ApiV2CollectionResponse_CredentialSummarySchema_":{"properties":{"data":{"items":{"$ref":"#/components/schemas/CredentialSummarySchema"},"type":"array","title":"Data"},"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["data","meta"],"title":"ApiV2CollectionResponse[CredentialSummarySchema]"},"CredentialSummarySchema":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"type":{"type":"string","title":"Type"},"workspace_id":{"type":"string","title":"Workspace Id"},"workspace_name":{"type":"string","title":"Workspace Name"}},"type":"object","required":["id","name","type","workspace_id","workspace_name"],"title":"CredentialSummarySchema"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"}}},"paths":{"/workspace-manager/{workspace_id}/credentials":{"get":{"tags":["Workspaces"],"summary":"List Credentials","operationId":"list_credentials_workspace_manager__workspace_id__credentials_get","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2CollectionResponse_CredentialSummarySchema_"}}}},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```

## POST /workspace-manager/{workspace\_id}/workspaces/{target\_workspace\_id}/copy-credentials

> Copy Credentials

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"CopyCredentialsSchema":{"properties":{"credential_ids":{"items":{"type":"string"},"type":"array","title":"Credential Ids"}},"type":"object","required":["credential_ids"],"title":"CopyCredentialsSchema"},"ApiV2Response_CopyCredentialsResponseSchema_":{"properties":{"data":{"$ref":"#/components/schemas/CopyCredentialsResponseSchema"},"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["data","meta"],"title":"ApiV2Response[CopyCredentialsResponseSchema]"},"CopyCredentialsResponseSchema":{"properties":{"new_credential_ids":{"items":{"type":"string"},"type":"array","title":"New Credential Ids"}},"type":"object","required":["new_credential_ids"],"title":"CopyCredentialsResponseSchema"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"}}},"paths":{"/workspace-manager/{workspace_id}/workspaces/{target_workspace_id}/copy-credentials":{"post":{"tags":["Workspaces"],"summary":"Copy Credentials","operationId":"copy_credentials_workspace_manager__workspace_id__workspaces__target_workspace_id__copy_credentials_post","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}},{"name":"target_workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Target Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CopyCredentialsSchema"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2Response_CopyCredentialsResponseSchema_"}}}},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```

## GET /workspace-manager/{workspace\_id}/org-admins

> List Org Admins

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"ApiV2CollectionResponse_OrgAdminSchema_":{"properties":{"data":{"items":{"$ref":"#/components/schemas/OrgAdminSchema"},"type":"array","title":"Data"},"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["data","meta"],"title":"ApiV2CollectionResponse[OrgAdminSchema]"},"OrgAdminSchema":{"properties":{"user_id":{"type":"string","title":"User Id"},"email":{"type":"string","title":"Email"},"first_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"First Name"},"last_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Name"}},"type":"object","required":["user_id","email"],"title":"OrgAdminSchema"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"}}},"paths":{"/workspace-manager/{workspace_id}/org-admins":{"get":{"tags":["Workspaces"],"summary":"List Org Admins","operationId":"list_org_admins_workspace_manager__workspace_id__org_admins_get","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2CollectionResponse_OrgAdminSchema_"}}}},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```

## POST /workspace-manager/{workspace\_id}/org-admins/demote

> Demote Org Admin

```json
{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"security":[{"HTTPBearer":[]},{"APIKeyHeader":[]}],"components":{"securitySchemes":{"HTTPBearer":{"type":"http","scheme":"bearer"},"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"DemoteOrgAdminSchema":{"properties":{"user_id":{"type":"string","title":"User Id"},"new_role":{"type":"string","title":"New Role"}},"type":"object","required":["user_id","new_role"],"title":"DemoteOrgAdminSchema"},"ApiV2CollectionResponse_OrgAdminSchema_":{"properties":{"data":{"items":{"$ref":"#/components/schemas/OrgAdminSchema"},"type":"array","title":"Data"},"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["data","meta"],"title":"ApiV2CollectionResponse[OrgAdminSchema]"},"OrgAdminSchema":{"properties":{"user_id":{"type":"string","title":"User Id"},"email":{"type":"string","title":"Email"},"first_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"First Name"},"last_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Name"}},"type":"object","required":["user_id","email"],"title":"OrgAdminSchema"},"MetaSchema":{"properties":{"status":{"$ref":"#/components/schemas/ResponseStatus"},"errors":{"items":{"$ref":"#/components/schemas/ErrorSchema"},"type":"array","title":"Errors"},"warnings":{"items":{"$ref":"#/components/schemas/WarningSchema"},"type":"array","title":"Warnings"},"request_source":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Request Source"}},"type":"object","required":["status"],"title":"MetaSchema"},"ResponseStatus":{"type":"string","enum":["success","error"],"title":"ResponseStatus"},"ErrorSchema":{"properties":{"message":{"type":"string","title":"Message"},"status_code":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Status Code"},"occurred_at":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occurred At"},"error_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Error Code"},"error_metadata":{"anyOf":[{"$ref":"#/components/schemas/FieldAlreadyExistsErrorMetadata"},{"type":"null"}]}},"type":"object","required":["message"],"title":"ErrorSchema"},"FieldAlreadyExistsErrorMetadata":{"properties":{"existing_column_ids":{"items":{"type":"string"},"type":"array","title":"Existing Column Ids"}},"type":"object","required":["existing_column_ids"],"title":"FieldAlreadyExistsErrorMetadata"},"WarningSchema":{"properties":{"message":{"type":"string","title":"Message"}},"type":"object","required":["message"],"title":"WarningSchema"},"ApiV2ErrorResponse":{"properties":{"meta":{"$ref":"#/components/schemas/MetaSchema"}},"type":"object","required":["meta"],"title":"ApiV2ErrorResponse"}}},"paths":{"/workspace-manager/{workspace_id}/org-admins/demote":{"post":{"tags":["Workspaces"],"summary":"Demote Org Admin","operationId":"demote_org_admin_workspace_manager__workspace_id__org_admins_demote_post","parameters":[{"name":"workspace_id","in":"path","required":true,"schema":{"type":"string","title":"Workspace Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DemoteOrgAdminSchema"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2CollectionResponse_OrgAdminSchema_"}}}},"4XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Client Error"},"5XX":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiV2ErrorResponse"}}},"description":"Server Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zenlytic.com/developers/workspaces.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
